summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorjbj <devnull@localhost>2000-05-08 12:24:23 +0000
committerjbj <devnull@localhost>2000-05-08 12:24:23 +0000
commit26bfb9e0783b7b83429d0f99e8b3178f903799d7 (patch)
tree07a2489f8f7e00d2fb2f06d803fa1eea2e957025 /scripts
parent764e820f16757eb563b4f3ff24506a3983efd088 (diff)
downloadrpm-26bfb9e0783b7b83429d0f99e8b3178f903799d7.tar.gz
rpm-26bfb9e0783b7b83429d0f99e8b3178f903799d7.tar.bz2
rpm-26bfb9e0783b7b83429d0f99e8b3178f903799d7.zip
here's a patch to make rpm (3.1-0.14) work on current FreeBSD versions
(tried 4.0-RELEASE and 5.0-CURRENT). It adds freebsdelf.prov and freebsdelf.req in autodeps, modifies brp-strip and brp-strip-comment-note to work with find versions that don't support -perm +something and strip versions that fail with an error when they can't strip a file, and modifies the configure check for GNU glob to check for GLOB_PERIOD additionally. This is required because FreeBSD's glob has some (but not all) of the GNU extensions, but doesn't work the way rpm assumes (segfault as soon as globbing is used in %files); GLOB_PERIOD can be used to tell the BSD version apart from the GNU one. CVS patchset: 3721 CVS date: 2000/05/08 12:24:23
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/brp-strip4
-rwxr-xr-xscripts/brp-strip-comment-note4
2 files changed, 4 insertions, 4 deletions
diff --git a/scripts/brp-strip b/scripts/brp-strip
index 7e2939af6..227ff28ec 100755
--- a/scripts/brp-strip
+++ b/scripts/brp-strip
@@ -5,8 +5,8 @@ if [ -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" ]; then
fi
# Strip ELF binaries
-for f in `find $RPM_BUILD_ROOT -type f -a -perm +111 -exec file {} \; | \
+for f in `find $RPM_BUILD_ROOT -type f \( -perm -0100 -or -perm -0010 -or -perm -0001 \) -exec file {} \; | \
grep -v ' shared object,' | \
sed -n -e 's/^\(.*\):[ ]*ELF.*, not stripped/\1/p'`; do
- strip $f
+ strip $f || :
done
diff --git a/scripts/brp-strip-comment-note b/scripts/brp-strip-comment-note
index 3413f44d9..1c853cf3c 100755
--- a/scripts/brp-strip-comment-note
+++ b/scripts/brp-strip-comment-note
@@ -6,12 +6,12 @@ fi
# Strip .comment and .note sections (the latter only if it is not allocated)
# for already stripped elf files in the build root
-for f in `find $RPM_BUILD_ROOT -type f -a -perm +111 -exec file {} \; | \
+for f in `find $RPM_BUILD_ROOT -type f \( -perm -0100 -or -perm -0010 -or -perm -0001 \) -exec file {} \; | \
sed -n -e 's/^\(.*\):[ ]*ELF.*, stripped/\1/p'`; do
note="-R .note"
if objdump -h $f | grep '^[ ]*[0-9]*[ ]*.note[ ]' -A 1 | \
grep ALLOC >/dev/null; then
note=
fi
- strip -R .comment $note $f
+ strip -R .comment $note $f || :
done